package jan22;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * Servlet implementation class BaseballDoServlet
 */
@WebServlet("/jan22/baseball.do")
public class BaseballDoServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    /**
     * @see HttpServlet#HttpServlet()
     */
    public BaseballDoServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		doGet(request, response);
	}
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		String team = request.getParameter("TEAM");
		//팀을 찾는다.
		BaseballTeamSelector bts = new BaseballTeamSelector();
		bts.setup();
		BaseballPlayer[] result = bts.selectTeamSwitch(team);//선수목록을 찾는다.
		//해당 팀의 선수 여러명이 들어있는 배열을 playerResult.jsp로 전달한다.
		request.setAttribute("TEAM", result);
		RequestDispatcher rd = request.getRequestDispatcher("playerResult.jsp");
		rd.forward(request, response);
	}
}
class BaseballTeamSelector {
	BaseballTeamSelector(){}//생성자
	BaseballPlayer[] selectTeamArray(String team) {
		
	}//2차원 배열을 사용해서 야구팀을 찾는 메서드
	BaseballPlayer[] selectTeamSwitch(String team) {
		BaseballPlayer[] result = null;
		switch(team) {
		case "1": result = lg; break;
		case "2": result = doosan; break;
		case "3": result = kia; break;
		}
		return result;
	}//switch를 사용해서 야구팀을 찾는 메서드
	BaseballPlayer[] lg = new BaseballPlayer[8];
	BaseballPlayer[] doosan = new BaseballPlayer[10];
	BaseballPlayer[] kia = new BaseballPlayer[9];
	void setup() {
		setupKia(); setupDoosan(); setupLG();
	}
	void setupKia() {
		kia[0] = new BaseballPlayer(10,"이만수",33,"투수",31000);
		kia[1] = new BaseballPlayer(11,"정만수",36,"포수",32000);
		kia[2] = new BaseballPlayer(12,"김만수",30,"투수",33000);
		kia[3] = new BaseballPlayer(13,"최만수",31,"포수",34000);
		kia[4] = new BaseballPlayer(14,"박만수",32,"투수",35000);
		kia[5] = new BaseballPlayer(15,"민만수",33,"포수",36000);
		kia[6] = new BaseballPlayer(16,"전만수",34,"투수",30000);
		kia[7] = new BaseballPlayer(17,"조만수",35,"1루수",37000);
		kia[8] = new BaseballPlayer(18,"추만수",29,"2루수",38000);
	}
	void setupDoosan() {
		doosan[0] = new BaseballPlayer(1,"장효조",32,"좌익수",21000);
		doosan[1] = new BaseballPlayer(2,"이효조",32,"우익수",21000);
		doosan[2] = new BaseballPlayer(3,"김효조",32,"좌익수",25000);
		doosan[3] = new BaseballPlayer(4,"박효조",32,"유격수",26000);
		doosan[4] = new BaseballPlayer(5,"최효조",32,"1루수",12000);
		doosan[5] = new BaseballPlayer(6,"구효조",32,"1루수",12000);
		doosan[6] = new BaseballPlayer(11,"정효조",32,"2루수",12000);
		doosan[7] = new BaseballPlayer(12,"추효조",32,"3루수",32000);
		doosan[8] = new BaseballPlayer(13,"조효조",32,"투수",21000);
		doosan[9] = new BaseballPlayer(14,"강효조",32,"포수",27000);
	}
	void setupLG() {
		lg[0]=new BaseballPlayer(99,"홍길동",30,"투수",11000);
		lg[1]=new BaseballPlayer(10,"김길동",31,"포수",12000);
		lg[2]=new BaseballPlayer(25,"구길동",32,"투수",13000);
		lg[3]=new BaseballPlayer(33,"이길동",33,"포수",12000);
		lg[4]=new BaseballPlayer(55,"추길동",20,"투수",12000);
		lg[5]=new BaseballPlayer(44,"하길동",25,"1루수",15000);
		lg[6]=new BaseballPlayer(88,"마길동",26,"2루수",15000);
		lg[7]=new BaseballPlayer(54,"강길동",22,"유격수",12000);
	}
}









